Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058067 - [abrt] man-db: __memcpy_sse2_unaligned(): whatis killed by SIGSEGV
Summary: [abrt] man-db: __memcpy_sse2_unaligned(): whatis killed by SIGSEGV
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: man-db
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8e160e5d57db1743ffd7d242f5a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-26 20:10 UTC by mrcomptech
Modified: 2014-07-08 10:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-08 10:00:39 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-26 20:10 UTC, mrcomptech
no flags Details
File: cgroup (deleted)
2014-01-26 20:10 UTC, mrcomptech
no flags Details
File: core_backtrace (deleted)
2014-01-26 20:10 UTC, mrcomptech
no flags Details
File: dso_list (deleted)
2014-01-26 20:10 UTC, mrcomptech
no flags Details
File: environ (deleted)
2014-01-26 20:10 UTC, mrcomptech
no flags Details
File: exploitable (deleted)
2014-01-26 20:10 UTC, mrcomptech
no flags Details
File: limits (deleted)
2014-01-26 20:10 UTC, mrcomptech
no flags Details
File: maps (deleted)
2014-01-26 20:10 UTC, mrcomptech
no flags Details
File: open_fds (deleted)
2014-01-26 20:10 UTC, mrcomptech
no flags Details
File: proc_pid_status (deleted)
2014-01-26 20:10 UTC, mrcomptech
no flags Details
File: var_log_messages (deleted)
2014-01-26 20:11 UTC, mrcomptech
no flags Details
requested file (deleted)
2014-02-27 19:30 UTC, mrcomptech
no flags Details

Description mrcomptech 2014-01-26 20:10:15 UTC
Version-Release number of selected component:
man-db-2.6.5-2.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        whatis -M /var/cache/man -w *
crash_function: __memcpy_sse2_unaligned
executable:     /usr/bin/whatis
kernel:         3.12.8-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 __memcpy_sse2_unaligned at ../sysdeps/x86_64/multiarch/memcpy-sse2-unaligned.S:40
 #1 memcpy at /usr/include/bits/string3.h:51
 #2 copy_datum at db_lookup.c:60
 #3 man_gdbm_nextkey at db_gdbm.c:222
 #4 do_apropos at whatis.c:812
 #5 search at whatis.c:862

Comment 1 mrcomptech 2014-01-26 20:10:22 UTC
Created attachment 855761 [details]
File: backtrace

Comment 2 mrcomptech 2014-01-26 20:10:26 UTC
Created attachment 855762 [details]
File: cgroup

Comment 3 mrcomptech 2014-01-26 20:10:30 UTC
Created attachment 855763 [details]
File: core_backtrace

Comment 4 mrcomptech 2014-01-26 20:10:34 UTC
Created attachment 855764 [details]
File: dso_list

Comment 5 mrcomptech 2014-01-26 20:10:38 UTC
Created attachment 855765 [details]
File: environ

Comment 6 mrcomptech 2014-01-26 20:10:41 UTC
Created attachment 855766 [details]
File: exploitable

Comment 7 mrcomptech 2014-01-26 20:10:44 UTC
Created attachment 855767 [details]
File: limits

Comment 8 mrcomptech 2014-01-26 20:10:48 UTC
Created attachment 855768 [details]
File: maps

Comment 9 mrcomptech 2014-01-26 20:10:51 UTC
Created attachment 855769 [details]
File: open_fds

Comment 10 mrcomptech 2014-01-26 20:10:55 UTC
Created attachment 855770 [details]
File: proc_pid_status

Comment 11 mrcomptech 2014-01-26 20:11:00 UTC
Created attachment 855771 [details]
File: var_log_messages

Comment 12 Colin Watson 2014-01-26 21:27:11 UTC
Thanks for your report.  Could you attach /var/cache/man/index.db?

Comment 13 mrcomptech 2014-02-24 20:33:02 UTC
(In reply to Colin Watson from comment #12)
> Thanks for your report.  Could you attach /var/cache/man/index.db?

My apologies for taking so long in getting back to you on this issue.
I would like to attach, but due to the 20000KB limit on BugZilla's file up loader I would need to not only compress the file but split it up into 10 files and upload each one separately. Would you like me to upload all 10 files?

Comment 14 Colin Watson 2014-02-25 09:19:28 UTC
I do need to see the raw database.  I'm pretty astonished that it's so big; mine is only a little over 2MB.  Perhaps there's some external website you can put it on temporarily?

Comment 15 mrcomptech 2014-02-27 19:30:01 UTC
Created attachment 868696 [details]
requested file

Comment 16 mrcomptech 2014-02-27 19:31:53 UTC
(In reply to Colin Watson from comment #14)
> I do need to see the raw database.  I'm pretty astonished that it's so big;
> mine is only a little over 2MB.  Perhaps there's some external website you
> can put it on temporarily?

Well this is a bit embarrassing, probably happened because I flip back and forth between Windows and Linux. I miss read the file size. It's not 636MB, it's 636KB. Oh well. I'll upload the file here on Bugzilla.

Comment 17 Peter Schiffer 2014-04-15 16:29:22 UTC
Are you still able to reproduce this problem? It won't crash on my machine with your index.db file.. (index.db file is recreated every night, so uploaded file might be OK..)

Thanks,

peter

Comment 18 Fedora Admin XMLRPC Client 2014-05-12 11:46:15 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 19 Jan Chaloupka 2014-07-08 10:00:39 UTC
Hi, mrcomptech

from backtrace it looks like a database corruption. As peter, I am unable to reproduce it too. If you ever hit the crash again, don't hesitate to reopen this bug with the index.db file. But before reopening, run:
# mandb -c
to recreate the database and repeat whatis command. If the problem occurs, upload the index.db, please. I will be glad to inspect this issue.

Regards
Jan


Note You need to log in before you can comment on or make changes to this bug.